import { jsxs as i } from "react/jsx-runtime";
import { styled as p } from "@arcblock/ux/lib/Theme";
import r from "prop-types";
function n({ owner: t = "ArcBlock", year: e = `${(/* @__PURE__ */ new Date()).getFullYear()}`, ...o }) {
  return /* @__PURE__ */ i(s, { ...o, children: [
    "Copyright © ",
    e,
    " ",
    t
  ] });
}
n.propTypes = {
  owner: r.string,
  year: r.string
};
const s = p("p")`
  display: flex;
  align-items: center;
  margin: 0;
  font-size: 13px;
`;
export {
  n as default
};
